#
# spec file for package yast2-config-lvm_config (Version 2.4.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake dejagnu expect libscr liby2 libycp libyui tcl yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db dejagnu devs diffutils e2fsprogs expect file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libscr libtool liby2 libycp libyui libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim yast2-base yast2-core-scr yast2-core-wfm yast2-testsuite ycpdoc

Name:         yast2-config-lvm_config
Copyright:	(c) 2000 SuSE GmbH
Group:		System Environment/YaST
Requires:	yast2 yast2-lib-wizard yast2-lib-sequencer
BuildArchitectures:	noarch
Summary:      Configuration module of the Logical Volume Manager
Version:      2.4.3
Release:      34
Source0:	yast2-config-lvm_config-2.4.3.tar.bz2

%description
This package contains the files for YaST2 that allow the configuration
of the Logical Volume Manager in an installed system.

SuSE series: yast

%prep
%setup -n yast2-config-lvm_config-2.4.3

%build
./configure
make

%install
make install

%files
%dir /usr/lib/YaST2/clients
%dir /usr/lib/YaST2/menuentries
%dir /usr/lib/YaST2/images
/usr/lib/YaST2/menuentries/menuentry_lvm_config.ycp
/usr/lib/YaST2/clients/lvm_config_ui.ycp
/usr/lib/YaST2/clients/lvm_config.ycp
/usr/lib/YaST2/images/lvm-config.png
%dir /usr/share/doc/packages/yast2-config-lvm_config
/usr/share/doc/packages/yast2-config-lvm_config/*

%changelog -n yast2-config-lvm_config
* Sat Sep 22 2001 - fehr@suse.de
- change to use ResetLVMandPartitionInfo analog to y2c_disk
* Fri Sep 21 2001 - fehr@suse.de
- make runtime config work with current inst_prepdisk
- make rudimental creation of encrypted filesystems work
* Fri Sep 07 2001 - fehr@suse.de
- add needed changes caused by changes in included ycp files
* Tue Jul 24 2001 - fehr@suse.de
- name of getLvmSystemInfo changed to getLvmMdSystemInfo
* Fri Jun 15 2001 - fehr@suse.de
- set version to 2.3.1
* Tue May 15 2001 - fehr@suse.de
- add popup when trying to add mounted partition to a VG
* Thu Mar 22 2001 - fehr@suse.de
- initial version
